package fr.eisti.ing1.java.graphe;

public class AreteValuee<T extends Comparable<T>> 
	implements Comparable<AreteValuee<T>>{

	private int origine;
	private int destination;
	private T valeur;

	public AreteValuee(int origine, int destination, T valeur) {
		this.origine = origine;
		this.destination = destination;
		this.valeur = valeur;
	}

	public int getOrigine() {
		return this.origine;
	}

	public int getDestination() {
		return this.destination;
	}

	public T getValeur() {
		return this.valeur;
	}

	/**
 	 * compare 2 aretes à partir de la comparaison de leur valeur
	 */
	public int compareTo(AreteValuee<T> arete) {
		return valeur.compareTo(arete.getValeur());
	}
}
